Skip to main content
GET
/
basket
/
data-capture
Data Capture
curl --request GET \
  --url https://api.nuwebgroup.com/v1/basket/data-capture \
  --header 'Authorization: Bearer <token>'
{
  "groups": [
    {
      "event": {
        "id": 64,
        "name": "Event 1"
      },
      "fieldIds": [
        11
      ],
      "subgroups": [
        {
          "saleItem": {
            "id": 304,
            "name": "Standard Ticket"
          },
          "fieldIds": [
            13
          ]
        }
      ]
    },
    {
      "event": {
        "id": 65,
        "name": "Event 2"
      },
      "fieldIds": [
        11
      ],
      "subgroups": [
        {
          "saleItem": {
            "id": 305,
            "name": "Standard ticket"
          },
          "fieldIds": [
            13
          ]
        }
      ]
    }
  ],
  "data": [
    {
      "type": "dataCaptureFields",
      "id": 11,
      "attributes": {
        "assignedToEntity": "events",
        "assignedToId": null,
        "questionId": 6,
        "sourceEntityType": "events",
        "sourceEntityId": null,
        "isRequired": 1,
        "hideDuringCheckout": 0,
        "enabledAt": "2022-04-27T11:30:52.000000Z",
        "orderColumn": 1,
        "createdAt": "2022-04-27T11:31:36.000000Z",
        "updatedAt": "2022-04-27T11:31:36.000000Z",
        "deletedAt": null
      },
      "relationships": {
        "dataCaptureQuestions": {
          "data": {
            "type": "dataCaptureQuestions",
            "id": 6
          }
        }
      }
    },
    {
      "type": "dataCaptureFields",
      "id": 13,
      "attributes": {
        "assignedToEntity": "item_tickets",
        "assignedToId": null,
        "questionId": 8,
        "sourceEntityType": "events",
        "sourceEntityId": null,
        "isRequired": 1,
        "hideDuringCheckout": 0,
        "enabledAt": "2022-04-27T11:30:55.000000Z",
        "orderColumn": 1,
        "createdAt": "2022-04-27T11:31:56.000000Z",
        "updatedAt": "2022-04-27T11:31:56.000000Z",
        "deletedAt": null
      },
      "relationships": {
        "dataCaptureQuestions": {
          "data": {
            "type": "dataCaptureQuestions",
            "id": 8
          }
        }
      }
    }
  ],
  "included": [
    {
      "type": "dataCaptureQuestionOptions",
      "id": 9,
      "attributes": {
        "value": "Option 1",
        "isEnabled": 1,
        "json": null,
        "orderColumn": null,
        "createdAt": "2022-04-27T11:11:29.000000Z",
        "updatedAt": "2022-04-27T11:11:29.000000Z",
        "deletedAt": null
      }
    },
    {
      "type": "dataCaptureQuestions",
      "id": 6,
      "attributes": {
        "question": "Short text",
        "description": "",
        "questionTypeId": 1,
        "questionCategoryId": null,
        "validation": "min:10|max:20",
        "isMarketing": null,
        "orderColumn": null,
        "createdAt": "2022-04-27T11:10:45.000000Z",
        "updatedAt": "2022-04-27T11:11:57.000000Z",
        "questionType": "text"
      }
    },
    {
      "type": "dataCaptureQuestions",
      "id": 8,
      "attributes": {
        "question": "Selection",
        "description": "",
        "questionTypeId": 3,
        "questionCategoryId": null,
        "validation": "",
        "isMarketing": null,
        "orderColumn": null,
        "createdAt": "2022-04-27T11:11:29.000000Z",
        "updatedAt": "2022-04-27T11:11:29.000000Z",
        "questionType": "select"
      },
      "relationships": {
        "dataCaptureQuestionOptions": {
          "data": [
            {
              "type": "dataCaptureQuestionOptions",
              "id": 9
            }
          ]
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

basketId
integer
required

The basket ID. Basket IDs and Order IDs can be used interchangeably.

Response

Successfully retrieved the basket.

groups
object[]
data
object[]
included
object[]